"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStatusMessage = exports.getStatusConstant = exports.HTTP_STATUS_MESSAGES = void 0;
const tslib_1 = require("tslib");
const statuses_1 = tslib_1.__importDefault(require("statuses"));
const change_case_1 = require("change-case");
exports.HTTP_STATUS_MESSAGES = statuses_1.default.codes.reduce((map, code) => {
    const message = String((0, statuses_1.default)(code));
    return {
        ...map,
        [String(code)]: { label: message, code: (0, change_case_1.constantCase)(message) }
    };
}, {});
exports.HTTP_STATUS_MESSAGES["200"].label = "Success";
exports.HTTP_STATUS_MESSAGES["200"].code = "SUCCESS";
function getStatusConstant(status) {
    return exports.HTTP_STATUS_MESSAGES[status]?.code;
}
exports.getStatusConstant = getStatusConstant;
function getStatusMessage(status) {
    return exports.HTTP_STATUS_MESSAGES[status]?.label;
}
exports.getStatusMessage = getStatusMessage;
//# sourceMappingURL=httpStatusMessages.js.map