"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequiredGroups = void 0;
const matchGroups_1 = require("../../utils/matchGroups");
const jsonEntityFn_1 = require("./jsonEntityFn");
/**
 * Apply groups validation strategy for required property.
 *
 * @decorator
 * @validation
 * @swagger
 * @schema
 * @input
 */
function RequiredGroups(...groups) {
    return (0, jsonEntityFn_1.JsonEntityFn)((entity) => {
        entity.parent.schema.$hooks.on("requiredGroups", (required, givenGroups) => {
            if ((0, matchGroups_1.matchGroups)(groups, givenGroups)) {
                return required.filter((key) => key !== entity.propertyKey);
            }
            return required;
        });
    });
}
exports.RequiredGroups = RequiredGroups;
//# sourceMappingURL=requiredGroups.js.map