"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redirect = void 0;
const core_1 = require("@tsed/core");
const jsonEntityFn_1 = require("../common/jsonEntityFn");
const returns_1 = require("./returns");
function Redirect(...args) {
    const { status, url, meta } = args.reduce((options, value) => {
        if ((0, core_1.isNumber)(value)) {
            options.status = value;
            return options;
        }
        if ((0, core_1.isString)(value)) {
            options.url = value;
            return options;
        }
        options.meta = value;
        return options;
    }, { status: 302, url: "", meta: {} });
    return (0, core_1.useDecorators)((0, returns_1.Returns)(status).Location(url, meta), (0, jsonEntityFn_1.JsonEntityFn)((entity) => {
        entity.operation?.setRedirection(status);
    }));
}
exports.Redirect = Redirect;
//# sourceMappingURL=redirect.js.map