"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapHeaders = void 0;
const core_1 = require("@tsed/core");
/**
 * Map input header to a standard open spec header
 * @param headers
 * @ignore
 */
function mapHeaders(headers) {
    return Object.keys(headers).reduce((newHeaders, key) => {
        const value = headers[key];
        let type = typeof value;
        let options = {
            example: value
        };
        if (type === "object") {
            options = value;
            options.example = options.value === undefined ? options.example : options.value;
            delete options.value;
            type = typeof options.example;
        }
        options.type = options.type || type;
        newHeaders[key] = (0, core_1.cleanObject)(options);
        return newHeaders;
    }, {});
}
exports.mapHeaders = mapHeaders;
//# sourceMappingURL=mapHeaders.js.map