import { isFunction } from "@tsed/core";
import { execMapper } from "../registries/JsonSchemaMapperContainer.js";
export class JsonMap extends Map {
    $kind = "map";
    $isJsonDocument = true;
    constructor(obj = {}) {
        super();
        this.assign(obj);
    }
    assign(obj = {}) {
        Object.entries(obj).forEach(([key, value]) => {
            if (isFunction(this[key])) {
                this[key](value);
            }
            else {
                this.set(key, value);
            }
        });
        return this;
    }
    toJSON(options) {
        return execMapper("map", [this], options);
    }
}
//# sourceMappingURL=JsonMap.js.map