/**
 * Set default error message.
 *
 * ## Example
 *
 * ```typescript
 * @DefaultMessage("foo should be a string")
 * class Model {
 *    property: number;
 * }
 * ```
 *
 * Will produce:
 *
 * ```json
 * {
 *   "type": "object",
 *   "properties": {
 *     "property": "number"
 *   }
 *   "errorMessage": {
 *     "_": "foo should be a string"
 *   }
 * }
 * ```
 *
 * @decorator
 * @validation
 * @swagger
 * @schema
 */
export declare function DefaultMsg(message: string): ClassDecorator;
