import { OS3MediaType, OS3Response } from "@tsed/openspec";
import { JsonHeader } from "../interfaces/JsonOpenSpec";
import { JsonMap } from "./JsonMap";
import { JsonMedia } from "./JsonMedia";
import { JsonSchema } from "./JsonSchema";
export type JsonResponseOptions = OS3Response<JsonSchema, string | JsonHeader>;
export declare class JsonResponse extends JsonMap<JsonResponseOptions> {
    $kind: string;
    status: number;
    constructor(obj?: Partial<JsonResponseOptions>);
    description(description: string): this;
    headers(headers: Record<string, string | JsonHeader>): this;
    content(content: Record<string, OS3MediaType<JsonSchema>>): this;
    getContent(): JsonMap<JsonMedia>;
    getMedia(mediaType: string, create?: boolean): JsonMedia;
    addMedia(mediaType: string): this;
}
